Page MenuHomePhabricator

Promote to stable device preference in Special:MobileOptions to expand all sections by default
Closed, DuplicatePublic

Description

In Special:MobileOptions (in beta) we have a setting that allows you to turn off section collapsing on mobile devices. This is controlled by the feature flag MFExpandAllSectionsUserOption.

We plan to make this feature show up in stable. It will default to off.

Event Timeline

Jdlrobson claimed this task.
Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Tgr, violetto, Tnegrin and 12 others.

Change 231701 had a related patch set uploaded (by Jdlrobson):
Promote expand sections by default to beta

https://gerrit.wikimedia.org/r/231701

Jhernandez set Security to None.
MaxSem removed a subscriber: MaxSem.Aug 17 2015, 6:34 PM

Change 231701 merged by jenkins-bot:
Promote expand sections by default to beta

https://gerrit.wikimedia.org/r/231701

Jdlrobson renamed this task from Promote/remove device preference to expand all sections by default to [EPIC] Promote to stable ORremove device preference to expand all sections by default.Aug 18 2015, 11:21 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson updated the task description. (Show Details)
kaldari removed a subscriber: kaldari.Aug 19 2015, 12:54 AM
Jdlrobson renamed this task from [EPIC] Promote to stable ORremove device preference to expand all sections by default to [EPIC] Promote to stable OR remove device preference to expand all sections by default.Sep 1 2015, 11:07 PM
Jdlrobson closed this task as Resolved.
Jdlrobson reopened this task as Open.
Jdlrobson removed a project: Readers-Web-Backlog.
Jdlrobson renamed this task from [EPIC] Promote to stable OR remove device preference to expand all sections by default to Promote to stable OR remove device preference in Special:MobileOptions to expand all sections by default.Nov 14 2016, 11:57 AM
Jdlrobson edited projects, added Readers-Web-Backlog; removed Epic.
Jdlrobson moved this task from 2017-18 Q1 to 2016-17 Q1 on the Readers-Web-Backlog board.
Jdlrobson moved this task from 2016-17 Q1 to 2015-16 Q4 on the Readers-Web-Backlog board.
Jdlrobson moved this task from 2015-16 Q4 to Epics/Goals on the Readers-Web-Backlog board.
Jdlrobson moved this task from Epics/Goals to Product Owner Backlog on the Readers-Web-Backlog board.
Jdlrobson lowered the priority of this task from Normal to Low.Jun 6 2017, 11:06 PM
Jdlrobson updated the task description. (Show Details)
MaxSem removed a subscriber: MaxSem.Jun 6 2017, 11:07 PM
Jdlrobson renamed this task from Promote to stable OR remove device preference in Special:MobileOptions to expand all sections by default to Promote to stable device preference in Special:MobileOptions to expand all sections by default.Jul 10 2017, 10:37 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Nirzar added a subscriber: Nirzar.Jul 13 2017, 10:20 PM

Wait.. is this suppose to change the default checkbox to ON for expand sections if Beta is enabled?

if so.. we shouldn't do that

Jdlrobson updated the task description. (Show Details)Jul 13 2017, 10:54 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 10 2018, 4:42 PM